Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8186537

remove unnecessary @requires from hotspot/compiler/aot tests

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 10
    • Fix Version/s: 10
    • Component/s: hotspot
    • Subcomponent:
    • Resolved In Build:
      b22

      Description

      after JDK-8185536, all aot tests are marked w/ '@requires vm.aot', so they will be executed only if a VM under test supports AOT. this made '@requires vm.bits == "64" & (os.arch == "amd64" | os.arch == "x86_64")' in these tests redundant.

        Attachments

          Activity

            People

            • Assignee:
              iignatyev Igor Ignatyev
              Reporter:
              iignatyev Igor Ignatyev
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: